function InitCommon()
	SetToolCount(2,-1);
	SetToolCount(3,-1);
	SetToolCount(4,-1);
	SetToolCount(5,-1);
	SetToolCount(6,-1);
	SetToolCount(7,-1);
	SetToolCount(8,-1);
	SetToolCount(9,-2);
end

function OnInit()
	InitCommon();
	RequiresStop(0,true);
end

function OnReset()
	InitCommon();
end

function OnTrigger(trigger,robot)
	if (trigger==0) then
		EndGame(true);
	end
end

function OnAnimationDone(x,y)
end
